Freshservice integration: operations for AI agents
Freshservice connects to Type.com as an integration. This page lists the 494 operations documented for Claude and Codex in Type.com: 213 read, 188 write, 93 destructive.
About Freshservice
Freshservice is a cloud-based IT service management (ITSM) solution with incident management, asset management, and IT service automation capabilities
Categories: Customer Support
How to connect Freshservice to Type.com
- Access
- Organization connection: one shared account for the workspace.
To add the connection, follow the steps in Space connections.
Documented operations
494 operations. Your connection's permissions determine which operations are available. API references describe the vendor surface; they do not expand your connection's credentials or access.
494 operations listed.
Freshservice REST API v2
- Read
View a Ticket
Use the include query parameter to embed additional resources in the response. Each embedded resource consumes one additional API credit. For example, embedding requester and department details consumes three API credits in total (one for the API call plus one for each embedded resource). Note: By default, certain fields such as conversations, tags, and the requester email aren't included in the response. Use the embedding functionality to retrieve them. 1. Get the associated conversations along with the ticket response.
GET /api/v2/tickets/{id} - Read
Filter Tickets
Custom ticket fields that you have created in your account can also be used to filter through the tickets and get a list of tickets matching the specified ticket fields. Query Format(query) - "(ticket_field:integer OR ticket_field:'string') AND ticket_field:boolean" Note: 1. The query must be URL encoded 2. Query can be framed using the ticket field name in snake case, which can be obtained from Ticket Fields endpoint. Ticket Fields are case sensitive 3. Query string must be enclosed between a pair of double quotes and can have up to 512 characters 4. Logical operators AND, OR along with parentheses () can be used to group conditions 5. Relational operators greater than or equal to :> and less than or equal to : < can be used along with date fields and numeric fields 6. Input for date fields should be in UTC Format 7. The number of objects returned per page is 30 also the total count of the results will be returned along with the result 8. To scroll through the pages add page parameter to the url 9. To filter for agent and group with no values assigned, use the null keyword 10. By default, only tickets from the primary workspace will be returned for accounts with workspaces. For tickets from other workspaces, use the workspace_id query parameter.
GET /api/v2/tickets/filter - Read
View List of Tickets
Use filters to view only specific tickets (those which match the criteria that you choose). By default only tickets that have not been deleted or marked as spam will be returned, unless you use the 'deleted' filter. Note: 1. By default only tickets that have been created within the past 30 days will be returned. For older tickets, use the updated_since filter. 2. Use the include query parameter to embed additional resources in the response. Each embedded resource consumes two additional API credits. For example, embedding stats consumes three API credits in total (one for the API call plus two for the stats embedding). 3. If a workspace_id is not specified as a URL parameter, only tickets from the primary workspace will be included in the response. If workspace_id is specified as 0, tickets from across all workspaces will be included in the response with just the global fields. Applicable only to accounts with workspaces. 1. Get the first page of a list of tickets that are being watched by the agent whose credentials were used to make this API call.
GET /api/v2/tickets - Read
List all Ticket Fields
Retrieve all the Fields that constitute the Ticket Object Note: By default, only global fields and fields from the primary workspace will be returned for accounts with workspaces. For fields from other workspaces, use the workspace_id filter. 1. Get the list of ticket fields from a specific workspace
GET /api/v2/ticket_form_fields - Read
Get Ticket Activity
Retrieve recent ticket activity for any ticket using ticket ID. The response contains the user ID of agents who performed actions on the ticket and the actions performed. Filter ticket activities using content/sub-content. Note: By default, the recent 20 activities are returned. To retrieve activities further down the timeline, use next_page_url token and raise a new API request. 1. Get the 60 most recent activities performed on the ticket. Freshservice provides the 20 most recent activities and a start token for the specific set of ticket activities when running a query for the first time. To retrieve older activities, use the start token to access the next 20 sets of activities and more. For 60 recent activities, run the API request thrice and use the start token generated from the earlier request each time to access the next set of activities
GET /api/v2/tickets/{id}/activities - Read
View a Time Entry
This API call helps to list a particular Time Entry.
GET /api/v2/tickets/{ticket_id}/time_entries/{id} - Read
List all Time Entries of a Ticket
This API helps to view all time entries of a particular ticket.
GET /api/v2/tickets/{ticket_id}/time_entries - Read
View Requested Items of a Service Request
This api helps you to view requested items attached to a service request
GET /api/v2/tickets/{id}/requested_items - Read
List all Ticket Approvals
Retrieve all approvals on a Service Request with the given ID from Freshservice/Freshservice for Business Teams.
GET /api/v2/tickets/{ticket_id}/approvals - Read
View an Approval
Retrieve an approval on a Service Request with the given ID from Freshservice
GET /api/v2/tickets/{ticket_id}/approvals/{id} - Read
List all Ticket Approval Groups
List all Approval Groups in the Service Request.
GET /api/v2/tickets/{ticket_id}/approval-groups - Read
View a Task
Retrieve a task on a Ticket with the given ID from Freshservice
GET /api/v2/tickets/{id}/tasks/{id} - Read
View all Tasks
Retrieve the tasks on a Ticket with the given ID from Freshservice.
GET /api/v2/tickets/{id}/tasks - Read
CSAT Response
Retrieve a csat response of a Ticket with the given ID from Freshservice/Freshservice for Business Teams.
GET /api/v2/tickets/id]/csat_response - Read
List all Conversations of a Ticket
This API helps you List All Conversations of a Ticket. 1. This ticket's conversation has more than 30 entries. This request returns the second page (entries from 31 to 60).
GET /api/v2/tickets/{id}/conversations - Read
View a Problem
Retrieve the problem with the given ID from Freshservice
GET /api/v2/problems/{id} - Read
View List of Problems
Retrieve a list of all Problems in Freshservice Note: If a workspace_id is not specified as a URL parameter, only problems from the primary workspace will be included in the response. If workspace_id is specified as 0, problems from across all workspaces will be included in the response with just the global fields. Applicable only to accounts with workspaces. 1. Get the list of all problems from workspaces to which the user has access.
GET /api/v2/problems - Read
List all Problem Fields
Retrieve all the Fields that constitute the Problem Object Note: By default, only global fields and fields from the primary workspace will be returned for accounts with workspaces. For fields from other workspaces, use the workspace_id filter. 1. Get the list of problem fields from a specific workspace
GET /api/v2/problem_form_fields - Read
View a note
Retrieve a note on a Problem request with the given ID from Freshservice.
GET /api/v2/problems/{id}/notes/{id} - Read
View all notes
Retrieve a list of all notes on a Problem request with the given ID from Freshservice.
GET /api/v2/problems/{id}/notes - Read
View a Time Entry
Retrieve a time entry on a Problem request with the given ID from Freshservice.
GET /api/v2/problems/{id}/time_entries/{id} - Read
List all Time Entries
Retrieve the time entries on a Problems request with the given ID from Freshservice.
GET /api/v2/problems/{id}/time_entries - Read
View a Task
Retrieve a task on a Problem with the given ID from Freshservice
GET /api/v2/problems/{id}/tasks/{id} - Read
View all Tasks
Retrieve the tasks on a Problem with the given ID from Freshservice
GET /api/v2/problems/{id}/tasks - Read
View a Change
Use 'include' to embed additional details in the response. Each include will consume an additional credit. For example if you embed the requester and company information you will be charged a total of 3 API credits for the call. Note: By default, stats field will not be included in the response. They can be retrieved via the embedding functionality. 1. Get the associated stats information along with the change response.
GET /api/v2/changes/{id} - Read
View List of Changes
Use filters to view changes based on the criteria that you choose. By default only changes that have not been deleted or marked as spam will be returned unless you use the 'deleted' filter. Note: 1. By default, only changes from the primary workspace will be returned for accounts with workspaces. For Changes from other workspaces, use the workspace_id query parameter. 2. If a workspace_id is not specified as a URL parameter, only changes from the primary workspace will be included in the response. If workspace_id is defined as 0, changes from across all workspaces will be included in the response with just the global fields. Applicable only to accounts in the Employee Support Mode. 3. The view and query parameters can only be used in isolation in an API request and cannot be used together. Filter your results using the query parameter. Use Freshservice fields to filter out records based on field values. You may also use custom fields created in your account to filter through changes and obtain a list of changes matching the specified fields.
GET /api/v2/changes - Read
List all Change Fields
Retrieve all the Fields that constitute the Change Object Note: By default, only global fields and fields from the primary workspace will be returned for accounts with workspaces. For fields from other workspaces, use the workspace_id filter. 1. Get the list of change fields from a specific workspace
GET /api/v2/change_form_fields - Read
List all Change Approvals
Retrieve all approvals in a Change with the given ID from Freshservice.
GET /api/v2/changes/{change_id}/approvals - Read
View a Change Approval
Retrieve an approval on a Change with the given ID from Freshservice
GET /api/v2/changes/{change_id}/approvals/{approval_id} - Read
List all Approval Groups within a Change
List all Approval Groups in a Change.
GET /api/v2/changes/{change_id}/approval-groups - Read
View a Note
Retrieve a note on a Change request with the given ID from Freshservice.
GET /api/v2/changes/{id}/notes/{id} - Read
View all Notes
Retrieve a list of all notes on a Change request with the given ID from Freshservice.
GET /api/v2/changes/{id}/notes - Read
View a Time Entry
Retrieve a time entry on a Change request with the given ID from Freshservice.
GET /api/v2/changes/{id}/time_entries/{id} - Read
List all Time Entries
Retrieve the time entries on a Change request with the given ID from Freshservice.
GET /api/v2/changes/{id}/time_entries - Read
View a Task
Retrieve a task on a Change request with the given ID from Freshservice
GET /api/v2/changes/{id}/tasks/{id} - Read
View all Tasks
Retrieve the tasks on a Change request with the given ID from Freshservice.
GET /api/v2/changes/{id}/tasks - Read
View a Release
Retrieve the Release with the given ID from Freshservice
GET /api/v2/releases/{id} - Read
Filter Releases (documented variants)
This API helps you to view all the releases in your service desk. To view only specific releases (that is, those which match only the criteria you choose) use the filters given below. Note: All the below requests are paginated to return only 30 releases per page. Append the parameter "page=[:page_no]" in the url to traverse through pages. Retrieve a list of all Releases in Freshservice Note: If a workspace_id is not specified as a URL parameter, only releases from the primary workspace will be included in the response. If workspace_id is specified as 0, releases from across all workspaces will be included in the response with just the global fields. Applicable only to accounts with workspaces. 1. Get the list of all releases from workspaces to which the user has access.
GET /api/v2/releases - Read
View all Release Fields
Retrieve all the Fields that constitute the Release Object Note: By default, only global fields and fields from the primary workspace will be returned for accounts with workspaces. For fields from other workspaces, use the workspace_id filter. 1. Get the list of release fields from a specific workspace
GET /api/v2/release_form_fields - Read
View a note
Retrieve a note on a Release request with the given ID from Freshservice.
GET /api/v2/releases/{id}/notes/{id} - Read
View all notes
Retrieve a list of all notes on a Release request with the given ID from Freshservice.
GET /api/v2/releases/{id}/notes - Read
View a Time Entry
Retrieve a time entry on a Release request with the given ID from Freshservice.
GET /api/v2/releases/{id}/time_entries/{id} - Read
List all Time Entries
Retrieve the time entries on a Release request with the given ID from Freshservice.
GET /api/v2/releases/{id}/time_entries - Read
View a Task
Retrieve a task on a Release with the given ID from Freshservice
GET /api/v2/releases/{id}/tasks/{id} - Read
View all Tasks
Retrieve the tasks on a Release with the given ID from Freshservice
GET /api/v2/releases/{id}/tasks - Read
List all CABs
Note: All the below requests are paginated to return only 30 CABS per page as default. Append the parameter "page=[:page_no]" in the url to traverse through pages & "per_page=[:cabs_per_page]" to specify CABS needed to be returned in a page. List the CABs present in an account 5 per page, from first page
GET /api/v2/cabs - Read
View a CAB
Use 'include' to embed additional details in the response. Include will consume 2 additional credits. For example if you embed the member_details you will be charged a total of 3 API credits for the call. Note: By default, member_details field will not be included in the response. They can be retrieved via the embedding functionality. View the CAB's details with included details of its members
GET /api/v2/cabs/{id} - Read
View a Workspace / Client
Retrieves information about a particular workspace in the account
GET /api/v2/workspaces/{id} - Read
List All Workspaces / Clients (documented variants)
Retrieves information about all the workspaces created in the account Note: 1. Query must be URL encoded 2. Query can be framed using the name of the client fields, which can be obtained from the Supported Client Fields section. 3. The Query string must be enclosed between a pair of double quotes and can have up to 512 characters. 4. Filtered results cannot be sorted. By default it is sorted by created_at in descending order. Supported Client Fields Additional examples Get the client whose name is 'Acme'
GET /api/v2/workspaces - Read
List All Client Fields
Retrieve all the Fields that constitute the Client Object. Client Fields
GET /api/v2/workspace_form_fields - Read
List all Approvals
The approval properties can be used to filter approvals from ticket and change module and get a list of approval requests matching the specified filters. Note: 1. This API is paginated and will return at max 30 approval requests. Use “page” filter with the page number to fetch more requests. 2. You need to pass the “parent” filter along with one of the following filters mandatorily to fetch the approval requests through this API: approver_id, status, parent_id or delegatee_id. 3. The results will be sorted in ascending order of their created date.
GET /api/v2/approvals - Read
View a Requester/Contact
This operation allows you to view information about a requester or contact.
GET /api/v2/requesters/{id} - Read
List All Requesters/Contacts (documented variants)
This operation returns a list of all requester/contact in the account. Adding "include_agents=true" to the query string will include agents in the response. Use filters to view only specific users (those who match the criteria that you choose). Note: When using filters, the query string must be URL encoded. Note: 1. If specified without a belongs_to_workspace_ids , then it will return all contacts with belongs_to_workspace_ids=2 . 2. If specified, belongs_to_workspace_ids value should be greater than 1. Use Requester/Contacts attributes to filter your list. Note: 1. Filtered results cannot be sorted. By default it is sorted by created_at in descending order . 2. Adding "include_agents=true" to the query string will include agents in the response. The default response includes only requesters and not agents. Only users who also have the "Manage Agents" permission will be able to use this modifier. 3. The query must be URL encoded (see example). 4. Query can be framed using the name of the requester fields, which can be obtained from the Supported Requester Fields Section. 5. Query string must be enclosed between a pair of double quotes and can have up to 512 characters. 6. Logical operators AND, OR along with parenthesis( ) can be used to group conditions. 7. Relational operators greater than or equal to :> and less than or equal to : < can be used along with date fields and numeric fields. 8. Input for date field should be in UTC Format. 9. The number of objects returned per page is 30. 10. To scroll through the pages add the page parameter to the url. The page number starts with 1 and should not exceed 40. 11. To filter for fields with no values assigned, use the null keyword. 12. The "~" query operator can be used for "starts with" text searches. "Starts with" search is supported for one or more of the following attributes: first_name, last_name, name, primary_email, mobile_phone_number, work_phone_number. The query format is https://domain.freshservice.com/api/v2/requesters?query="~[attribute_1|attribute_2]:'somestring'". The query needs to be URL encoded. This would return a list of users for whom attribute_1 OR attribute_2 starts with "somestring". Refer to examples 13, 14, and 15. 13. Please note that any update made to requester either in Freshservice application or through API may take a few minutes to get indexed, after which the updated results will be available through API. 1. Get the requester by primary email: ' requester@yourcompany.com '. "primary_email:'requester@yourcompany.com'"
GET /api/v2/requesters - Read
List All Requester/Contact Fields
This operation allows you to view all the built-in and custom fields for requesters in your Freshservice account. Use 'include' to embed additional details in the response. Each include will consume an additional credit. For example if you embed the user field groups you will be charged a total of 3 API credits for the call. Note: By default, user field groups details will not be included in the response. They can be retrieved via the embedding functionality.
GET /api/v2/requester_fields - Read
User Assignment History
This operation retrieves the assignment history of a specific user in Freshservice.
GET /api/v2/users - Read
View an Agent
This operation allows you to view information about a particular agent.
GET /api/v2/agents/{id} - Read
List all Agents (documented variants)
This operation allows you to view information about all agents in the account. Use filters to view only specific agents (those who match the criteria that you choose). The filters listed in the table below can also be combined. Note: When using filters, the query string must be URL encoded. Retrieve the second page of the list of full-time agents. (This list contains information about 30 agents by default, and is always sorted by the first name of the agent.) Use Agent attributes to filter your list. Note: 1. Filtered results cannot be sorted. By default it is sorted by created_at in descending order . 2. The query must be URL encoded (see example). 3. Query can be framed using the name of the agent fields, which can be obtained from the Supported Agent Fields Section. 4. Query string must be enclosed between a pair of double quotes and can have up to 512 characters. 5. Logical operators AND, OR along with parenthesis( ) can be used to group conditions. 6. Relational operators greater than or equal to :> and less than or equal to : < can be used along with date fields and numeric fields. 7. Input for date field should be in UTC Format. 8. The number of objects returned per page is 30. 9. To scroll through the pages add the page parameter to the url. The page number starts with 1 and should not exceed 40. 10. To filter for fields with no values assigned, use the null keyword. 11. The "~" query operator can be used for "starts with" text searches. "Starts with" search is supported for one or more of the following attributes: first_name, last_name, name, email, mobile_phone_number, work_phone_number. The query format is https://domain.freshservice.com/api/v2/agents?query="~[attribute_1|attribute_2]:'somestring'". The query needs to be URL encoded. This would return a list of users for whom attribute_1 OR attribute_2 starts with "somestring". Refer to examples 11, 12, and 13. 12. Please note that any update made to an agent either in Freshservice application or through API may take a few minutes to get indexed, after which the updated results will be available through API. 1. Get the agent by email: ' agent@yourcompany.com '. "email:'agent@yourcompany.com'" This operation retrieves the asset assignment history of a specific agent in Freshservice.
GET /api/v2/agents - Read
List all Agent Fields
This operation allows you to view all the built-in and custom fields for agents in your Freshservice account. Use the include query parameter to embed additional resources in the response. Each embedded resource consumes one additional API credit. For example if you embed the user field groups you will be charged a total of 3 API credits for the call. Note: By default, user field group details aren't included in the response. Use the embedding functionality to retrieve them.
GET /api/v2/agent_fields - Read
View a Role
View a Role. The official reference identifies GET /api/v2/roles/{id}; parameter, response and scope details remain in the linked endpoint section.
GET /api/v2/roles/{id} - Read
List all Roles
List all Roles. The official reference identifies GET /api/v2/roles/; parameter, response and scope details remain in the linked endpoint section.
GET /api/v2/roles/ - Read
View a Group
View a Group. The official reference identifies GET /api/v2/groups/{id}; parameter, response and scope details remain in the linked endpoint section.
GET /api/v2/groups/{id} - Read
List all Groups
Note: Freshservice/Freshservice for Business Teams: List of agent groups belonging to a particular workspace can be retrieved by passing query parameter as workspace_id=[number]. It is not possible to retrieve the list of agent groups across all workspaces. Note: Freshservice for MSPs: Agent groups at account level are returned when workspace_id is not sent. 1. List all the Agent Groups present in a Workspace
GET /api/v2/groups - Read
View a Requester Group/Contact Group
Note: Groups of both types (“manual”/”rule_based”) can be viewed through this API.
GET /api/v2/requester_groups/{id} - Read
List All Requester Groups/Contact Groups
Note: Groups of both types (“manual”/”rule_based”) can be listed through this API. Note: 1. If workspace_id param is not specified, it will provide the contact groups from Client id with workspace_id=2 2. In order to list global contact groups, specify workspace_id=1 Get the second page (requests from 31-60) of all the requester groups in the account.
GET /api/v2/requester_groups - Read
List Requester/Contact Group Members
Get the second page (requests from 31-60) of requesters who are associated to requester groups.
GET /api/v2/requester_groups/{id}/members - Read
View a Location
This operation allows you to view information about a particular location.
GET /api/v2/locations/{id} - Read
List all Locations (documented variants)
This operation allows you to view information about all the locations in the account. Note: 1. If specified without a workspace_id, then it will return all locations with workspace_id=2. 2. If specified, workspace_id value should be greater than 1. 1. Get the second page (locations from 31-60) of a list of all the locations in the account. You can filter locations by their Name. Please note that the query string needs to be URL encoded. Note: If workspace_id param is not specified, it will provide the locations from Client with workspace_id=2
GET /api/v2/locations - Read
View a Product
This operation allows you to view a particular product.
GET /api/v2/products/{id} - Read
List all Products
This operation allows you to view information about all products in the account. 1. Get the second page (products from 31-60) of a list of all the products in the account.
GET /api/v2/products - Read
View a Vendor
This operation allows you to view a particular vendor.
GET /api/v2/vendors/{id} - Read
List all Vendors
This operation allows you to view information about all vendors in the account. 1. Get the second page (vendors from 31-60) of a list of all the vendors in the account.
GET /api/v2/vendors - Read
View an alert
This operation allows the user to view the alert properties. Note: The users with "View Alerts" privilege can also access this API.
GET /api/v2/ams/alerts/{id} - Read
View Multiple Alerts using Filters
This operation allows the user to view the bulk alerts and their properties using different filters. Supported Query Fields: 1. The query must be URL encoded 2. Query can be framed using the "Supported Query Fields" mentioned below, all fields are case sensitive 3. Logical operators AND, OR along with parentheses ( ) can be used to group conditions 4. Relational operators greater than or equal to :> and less than or equal to : < can be used along with date fields and numeric fields 5. Input for timestamp fields should be in UTC format "YYYY-MM-DDTHH:MM:SSZ" 6. The number of objects returned per page as default is 30 7. To view the next page, check link header in response for page parameter and add the same in request url 8. To filter for fields with no values, use the null keyword Supported Sorting Fields: 1. updated_at 2. occurrence_time 3. severity 4. state 5. id 6. workspace_id
GET /api/v2/ams/alerts - Read
View all Alert Logs
This operation allows the user to view all the alert logs for a particular alert. Note: The users with "View Alerts" privilege can also access this API. Note: To view the next page, check link header (with start_token parameter) in response for page parameter and add the same in request url.
GET /api/v2/ams/alerts/{id}/logs - Read
View all alert notes
This operation allows the user to view all alert notes. Note: Only users with "View Alerts" privilege can access this API. Note: To view the next page, check link header in response for page parameter and add the same in request url.
GET /api/v2/ams/alerts/{id}/notes - Read
View an alert note
This operation allows the user to view an alert note. Note: Only users with "View Alerts" privilege can access this API.
GET /api/v2/ams/alerts/{id}/notes/{note_id} - Read
Asset Assignment History (documented variants)
This operation retrieves the user assignment history for a specific asset in Freshservice. Lists all the assets in your Freshservice account. Note: This API request is valid for Freshservice signups before March 31, 2026. For new signups after the March 31, 2026 release, refer to the View all assets for Freshservice ITAM request. Use Asset Filters to view only specific assets (those which match the criteria that you choose) and Asset Search to search specific assets from your list. By default only assets that are not in trash will be returned unless you use the 'trashed' filter. Use asset attributes to search from your list. Note: 1. Search results cannot be sorted. By default it is sorted by created_at in descending order . 2. The search query must be URL encoded (see example). 3. Query can be framed using the asset fields, which can be obtained from Supported Asset Fields section. 4. Search query string must be enclosed between a pair of double quotes. 5. If the search query string contains apostrophe, it must be escaped (see example). 6. The number of objects returned per page is 30. The total count of the results will be returned along with the result (In the headers). 7. Please note that any updates made to assets either in Freshservice application or through APIs may take a few minutes to get indexed, after which the updated results will be available through API. 1. Search assets in trash which has name dell. search=" name:'dell' " Use asset attributes to filter your list. Note: 1. Filtered results cannot be sorted. By default it is sorted by created_at in descending order . 2. The query must be URL encoded (see example). 3. Query can be framed using the name of the asset fields, which can be obtained from Supported Asset Fields section. 4. Query string must be enclosed between a pair of double quotes and can have up to 512 characters. 5. Logical operators AND, OR along with parentheses () can be used to group conditions. 6. Relational operators greater than or equal to :> and less than or equal to : < can be used along with date fields and numeric fields. 7. Input for date fields should be in UTC Format. 8. The number of objects returned per page is 30. The total count of the results will be returned along with the result (In the headers). 9. The maximum number of pages returned is 40. 10. To filter for fields with no values assigned, use the null keyword. 11. Please note that any updates made to assets either in Freshservice application or through APIs may take a few minutes to get indexed, after which the updated results will be available through API. 12. By default, only assets from the primary workspace will be returned for accounts with workspaces. For assets from other workspaces, use the workspace_id filter. Deprecation Warning: The older filter pattern "query=[query]" will be deprecated by end of June 2022 and would remain backward compatible until then. We recommend you to use the new filter query pattern shown above.
GET /api/v2/assets - Read
View an Asset
This operation allows you to view a particular asset. Note: This API request is valid for Freshservice signups before March 31, 2026. For new signups after the March 31, 2026 release, refer to the View an asset for Freshservice ITAM request. Use 'include' to embed additional details in the response. Each include will consume an additional API credit.
GET /api/v2/assets/{display_id} - Read
List all Asset Components
This operation allows you to view information about all the components of an asset in the account.
GET /api/v2/assets/{display_id}/components - Read
List all Associated Requests
This operation allows you to view a list of all the requests associated to the asset in the account. 1. Get the second page (requests from 31-60) of all the requests associated to the asset in the account.
GET /api/v2/assets/{display_id}/requests - Read
List all associated Contracts
This operation allows you to get a list of all the contracts that an asset has been associated to. 1. Get the second page (contracts from 31-60) of all the contracts associated to the asset in the account.
GET /api/v2/assets/{display_id}/contracts - Read
View a Relationship
This operation allows you to view a particular relationship in your Freshservice account.
GET /api/v2/relationships/{id} - Read
List all Relationships in the Account
Lists all the relationships in your Freshservice account.
GET /api/v2/relationships - Read
List all Relationships for an Asset
Lists all the relationships of a particular asset.
GET /api/v2/assets/{display_id}/relationships - Read
List all Relationship Types
Lists all the relationship types in your Freshservice account.
GET /api/v2/relationship_types - Read
View list of assets
This API helps you retrieve a list of existing assets. Note : Freshservice IT Asset Management is available only for new signups after the March 31, 2026 release. Query parameters
GET /api/v2/itam/assets - Read
View an asset
This API helps you retrieve an asset record by its unique identifier. Note : Freshservice IT Asset Management is available only for new signups after the March 31, 2026 release. Path parameters
GET /api/v2/itam/assets/{id} - Read
List all Purchase Orders
This operation allows you to view information about all the purchase orders in Freshservice. 1. Get the second page (purchase orders from 31-60) of a list of all the purchase orders in the account.The list will be in descending order of creation time. 2. Get the list of all purchase orders from workspaces to which the user has access.
GET /api/v2/purchase_orders - Read
View a Purchase Order
This operation allows you to view a particular purchase order.
GET /api/v2/purchase_orders/{purchase_order_id} - Read
View an Asset Type
This operation allows you to view information about a particular asset type
GET /api/v2/asset_types/{id} - Read
List all Asset Types
This operation allows you to view information about all the asset types in the account. 1. Get the second page (asset types from 31-60) of a list of all the asset types in the account.
GET /api/v2/asset_types - Read
List all Fields of an Asset Type
This operation allows you to view information about all the fields in a particular asset type in the account.
GET /api/v2/asset_types/{id}/fields - Read
View a Software
This operation allows you to view a particular software.
GET /api/v2/applications/{id} - Read
List all Software
This operation allows you to list all software. 1. Get the list of all softwares from workspaces to which the user has access. 2. Get the list of softwares from a specific workspace
GET /api/v2/applications/ - Read
List all Licenses
This operation allows you to list all licenses of a software.
GET /api/v2/applications/{id}/licenses - Read
View a Software User
This operation allows you to view a particular Software User.
GET /api/v2/applications/{id}/users/{application_user_id} - Read
List all Users of a Software
This operation allows you to view the list of users using a particular Software.
GET /api/v2/applications/{id}/users - Read
List all installations of a Software
This operation allows you to view the list of all the devices where the Software is installed in.
GET /api/v2/applications/{id}/installations - Read
List all Relationships for a Software
Lists all the relationships of a particular software.
GET /api/v2/applications/{id}/relationships - Read
List all contract types
This operation allows you to view a list of all contract type.
GET /api/v2/contract_types - Read
List all fields of a contract type
This operation allows you to view all fields of a contract type.
GET /api/v2/contract_types/{contract_type_id}/fields - Read
View a contract
This operation allows you to view a particular contract.
GET /api/v2/contracts/{contract_id} - Read
List all contracts
This operation allows you to view a list of all contracts. 1. Get the list of all contracts from workspaces to which the user has access. 2. Get the list of contracts from a specific workspace
GET /api/v2/contracts - Read
List all associated assets of a contract
This operation allows you to view information about all the associated asset of a contract.
GET /api/v2/contracts/{contract_id}/associated-assets - Read
List all attachments of a contract
This operation allows you to view information about all the attachments of a contract.
GET /api/v2/contracts/{contract_id}/attachments - Read
View a Department
Retrieve the Department (or Company in MSP Mode) with the given ID from Freshservice
GET /api/v2/departments/{id} - Read
List all Departments (documented variants)
Note: 1. If specified without a workspace_id, then it will return all departments with workspace_id=2 2. If specified, workspace_id value should be greater than 1 Retrieve a list of all Departments (or Companies in MSP Mode) in Freshservice Use Departments (or Companies in MSP Mode) attributes to filter your list. Note: 1. The query must be URL encoded (see example). 2. Query can be framed using the name of the department fields, which can be obtained from Supported Department Fields section. 3. Query string must be enclosed between a pair of double quotes and can have up to 512 characters. 4. Filtered results cannot be sorted. By default it is sorted by created_at in descending order . 5. If workspace_id param is not specified, it will provide the departments from Client with workspace_id=2 Get the department whose display name is ' Sales '
GET /api/v2/departments - Read
List all Department Fields
Retrieve the Department Fields (or Company Fields in MSP Mode) from Freshservice. The fields will be returned in the sequence that they are displayed on the UI.
GET /api/v2/department_fields - Read
View a Business Hours Configuration
Retrieve the Business Hours Configuration with the given ID from Freshservice/Freshservice for Business Teams
GET /api/v2/business_hours/{id} - Read
View List of Business Hours Configurations
Retrieve a list of all business hours configurations in Freshservice/Freshservice for Business Teams. Note: By default, only business hours from the primary workspace will be returned for accounts with workspaces. For business hours from other workspaces, use the workspace_id filter.
GET /api/v2/business_hours - Read
View a Project
View a Project. The official reference identifies GET /api/v2/projects/{id}; parameter, response and scope details remain in the linked endpoint section.
GET /api/v2/projects/{id} - Read
List all Projects
List all Projects. The official reference identifies GET /api/v2/projects; parameter, response and scope details remain in the linked endpoint section.
GET /api/v2/projects - Read
View a Project Task
View a Project Task. The official reference identifies GET /api/v2/projects/{project_id}/tasks/{id}]; parameter, response and scope details remain in the linked endpoint section.
GET /api/v2/projects/{project_id}/tasks/{id}] - Read
List all Project Tasks
List all Project Tasks. The official reference identifies GET /api/v2/projects/{id}/tasks; parameter, response and scope details remain in the linked endpoint section.
GET /api/v2/projects/{id}/tasks - Read
View a Project
This API lets you view the details of a project.
GET /api/v2/pm/projects/{id} - Read
List all Projects
This API lists all the open and completed projects accessible to you. You can embed additional parameters in the handle to filter specific projects.
GET /api/v2/pm/projects - Read
View Project Fields
View Project Fields. The official reference identifies GET /api/v2/pm/project-fields; parameter, response and scope details remain in the linked endpoint section.
GET /api/v2/pm/project-fields - Read
View Project Templates
Retrieve all custom project templates created in your account.
GET /api/v2/pm/project_templates - Read
View Associations
This API allows you to delete an association of a project.
GET /api/v2/pm/projects/{project_id}/{module_name} - Read
View a Project Task
This API lets you view the details of a project task
GET /api/v2/pm/projects/{project_id}/tasks/{id} - Read
List all Project Tasks
You can use this API to list all the tasks of a project. To view only specific tasks, you can use the below parameters.
GET /api/v2/pm/projects/{id}/tasks - Read
Filter all Project Tasks
Get a list of tasks matching the specified task fields. Note: 1. The query must be URL encoded. 2. Query can be framed using the task field name in snake case, which can be obtained from supported task fields. Task Fields are case sensitive. 3. Query string must be enclosed between a pair of double quotes and can have up to 512 characters. 4. Logical operators AND, OR along with parentheses () can be used to group conditions. 5. Relational operators greater than or equal to :> and less than or equal to : < can be used along with date fields. 6. Input for date fields should be in UTC Format. 7. The number of objects returned per page is 30 also the total count of the results will be returned along with the result. 8. To scroll through the pages add page parameter to the URL. Note: Queries can be combined using AND or OR. https://domain.freshservice.com/api/v2/pm/projects/{id}/tasks/filter?query="priority_id: 1 AND status_id: 2" Supported operators 1. priority_id: 1 (priority_id equal to 1) 2. created_at:> '2024-01-01' (created_at greater than or equal to '2024-01-01') 3. created_at: < '2023-01-01' (created_at less than or equal to '2023-01-01') Formatting 1. String fields to be enclosed in single quotes ('') 2. Number fields to be given as number without quotes. 3. Date and date_time fields to be enclosed in single quotes('yyyy-mm-dd') 4. only :> and : < are supported for date and date_time fields. Both fields expect input in the same format as 'yyyy-mm-dd'
GET /api/v2/pm/projects/{id}/tasks/filter - Read
View Project Task Type Fields
This API lets you list the fields of a specifc task type from your project. The ID of the task type can be obtained from this API.
GET /api/v2/pm/projects/{project_id}/task-types/{type_id}/fields - Read
View Project Task Types
This API lists all the task types that are present in a project.
GET /api/v2/pm/projects/{project_id}/task-types - Read
View Project Task Priorities
This API lists all the priority levels that have been created in a project.
GET /api/v2/pm/projects/{project_id}/task-priorities - Read
View Project Task Statuses
This API lists all the task statuses that have been defined in a project.
GET /api/v2/pm/projects/{project_id}/task-statuses - Read
View Project Versions
This API lists all the versions that have been created in a project.
GET /api/v2/pm/projects/{project_id}/versions - Read
View Project Sprints
This API lists all the sprints that have been created in a project.
GET /api/v2/pm/projects/{project_id}/sprints - Read
View Project Memberships
This API lists all the members that are present in a project.
GET /api/v2/pm/projects/{project_id}/memberships - Read
View Associations
This API allows you to view all associations of a project task by module.
GET /api/v2/pm/projects/{project_id}/tasks/{task_id}/{module_name} - Read
View Notes
This API allows you to view all task notes.
GET /api/v2/pm/projects/{project_id}/tasks/{id}/notes - Read
View Solution Category
To view the category available in your service desk, use this
GET /api/v2/solutions/categories/{id} - Read
View List of Solution Categories
This API lets you view all the categories in a forum. Note: By default, only categories from the primary workspace will be returned for accounts with workspaces. For categories from other workspaces, use the workspace_id filter.
GET /api/v2/solutions/categories - Read
View Solution Folder
To view all folders present in a category, use this API.
GET /api/v2/solutions/folders/{id} - Read
View Solution Sub Folders
To view all sub-folders present in a folder, use this API.
GET /api/v2/solutions/folders/{id}/sub-folders - Read
View List of Solution Folder
This API lets you view all the folders in a forum for specific category.
GET /api/v2/solutions/folders - Read
Search Solution Articles
Search for articles from the knowledge base for a given search term. Note: 1. If the user_email parameter is provided, the user of the API key provided must have the privilege of assuming the identity of the user_email provided. Otherwise the API will return a 403 error. 2. The API will only return published solution articles that the user (or user_email) has access to.
GET /api/v2/solutions/articles/search - Read
View Solution Article
If there is a specific article which you wish to view, use this API. Article ID is a must though.
GET /api/v2/solutions/articles/{id} - Read
View List of Solution Article
To view all the articles in a folder, use this API. The query parameter folder_id is mandatory ; the request must include folder_id with the solution folder ID whose articles you want to list.
GET /api/v2/solutions/articles - Read
View a Service Item
This API allows you to view the details of a service item.
GET /api/v2/service_catalog/items/{display_id} - Read
View List of Service Items
This API lists all service items in your Freshservice service desk. To view items belonging to a particular category, use the filter below Note: By default, only service items from the primary workspace will be returned for accounts with workspaces. For service items from other workspaces, use the workspace_id filter.
GET /api/v2/service_catalog/items - Read
Search Service Items
Search for service items from the service catalog for a given search term. Note: 1. If the user_email parameter is provided, the user of the API key provided must have the privilege of assuming the identity of the user_email provided. Otherwise the API will return a 403 Error. 2. The API will only return published service items that the user (or user_email) has access to.
GET /api/v2/service_catalog/items/search - Read
View List of Service Categories
This api lists all service categories in your Freshservice service desk Note: By default, only service categories from the primary workspace will be returned for accounts on the Employee Support Mode. For service categories from other workspaces, use the workspace_id filter.
GET /api/v2/service_catalog/categories - Read
View an Announcement
View an Announcement. The official reference identifies GET /api/v2/announcements/{id}; parameter, response and scope details remain in the linked endpoint section.
GET /api/v2/announcements/{id} - Read
List all Announcements
1. Get the list of all announcements from workspaces to which the user has access. 2. Get the list of announcements from a specific workspace
GET /api/v2/announcements - Read
View Onboarding Form Fields
This API lets you view all the fields in the Initiator’s Onboarding form. The Onboarding form may contain Lookup fields with Datasource. Lookup Datasources are entities where we can search data from them. The numerical value for each DataSource (Department, Location etc.) is given below.
GET /api/v2/onboarding_requests/form - Read
View an Onboarding Request
This API lets you retrieve and view a specific Onboarding Request in your service desk.
GET /api/v2/onboarding_requests/id - Read
View all Onboarding Requests
This API lets you view all the Onboarding Requests in your service desk. The below table lists the custom status for Onboarding Request
GET /api/v2/onboarding_requests - Read
View Onboarding Tickets
This API lets you retrieve and view the Onboarding Tickets associated with an Onboarding Request.
GET /api/v2/onboarding_requests/id/tickets - Read
View Offboarding Form Fields
This API lets you view all the fields in the Initiator’s Offboarding form. The Offboarding form may contain Lookup fields with Datasource. Lookup Datasources are entities where we can search data from them. The numerical value for each DataSource (Department, Location etc.) is given below.
GET /api/v2/offboarding_requests/form - Read
View an Offboarding Request
This API lets you retrieve and view a specific Offboarding Request in your service desk.
GET /api/v2/offboarding_requests/id - Read
View all Offboarding Requests
This API lets you view all the Offboarding Requests in your service desk. The below table lists the custom status for Offboarding Request
GET /api/v2/offboarding_requests - Read
View Offboarding Tickets
This API lets you retrieve and view the Offboarding Tickets associated with an Offboarding Request.
GET /api/v2/offboarding_requests/id/tickets - Read
View List of Published Journeys Configs
Note: 1. Only users with View Journeys privilege or Account admins with Play god privilege can access the following API. 2. By default, top 30 published journeys will be returned. To get more journeys use the parameter page This API retrieves all Journey configurations that have been published.
GET /api/v2/journeys/configs - Read
View Journey Initiator Config Form Fields
This API retrieves all fields from the Initiator Form of a Journey configuration. Note: Only users with View Journeys privilege or Account admins with Play god privilege can access the following API. The Journey Config form may contain Lookup fields with Datasource. Lookup Datasources are entities where we can search data from them. The numerical value for each DataSource (Department, Location etc.) is given below.
GET /api/v2/journeys/configs/{id}/data-fields - Read
View a Journey Request
Note: Only users with View Journey Requests privilege can access the following API. This API retrieves and displays details of a specific Journey Request in Freshservice.
GET /api/v2/journeys/requests/{id} - Read
View List of Journey Requests
This API returns a filtered list of Journey Requests, excluding deleted entries by default. Note: 1. Only users with View Journey Requests privilege can access the following API. 2. By default, top 30 requests will be returned. To get more requests use the parameter page . 1. Get list of Journey Requests that are completed by the agent whose credentials were used to make this API call.
GET /api/v2/journeys/requests - Read
View Journey Request Activities
This API lists all activities associated with a specific Journey Request across its various phases,identified by the Journey Request ID. Activities can be filtered by activity type like EMAIL, SERVICE_REQUEST, PLAIN and TASK.
GET /api/v2/journeys/requests/{id}/activities - Read
View all schedules (documented variants)
This operation allows you to fetch details about all on-call schedules in your workspace Note: Only users with "View On-call schedules" or "Manage On-call schedules" privilege can access the API. This operation allows you to get list of all on-call schedules in your workspace whose schedule names include the search query (scheduleName). Note: Supports between 2 to 255 char as input. Input supports alphanumeric and following characters - " / \ - _ . + ( ) $ & ! @ # % ^ * [ ] { } | ' : < > ;? Note: Only users with "View On-call schedules" or "Manage On-call schedules" privilege can access the API.
GET /api/v2/oncall/ws/{workspace_id}/schedules - Read
View a schedule
This operation allows you to fetch details about all on-call schedules in your workspace by ID Note: Only users with "View On-call schedules" or "Manage On-call schedules" privilege can access the API.
GET /api/v2/oncall/ws/{workspace_id}/schedules/{schedule_id} - Read
View all shifts
This operation allows you to fetch details about all shifts in your on-call schedule Note: Only users with "View On-call schedules" or "Manage On-call schedules" privilege can access the API.
GET /api/v2/oncall/ws/{workspace_id}/schedules/{schedule_id}/shifts - Read
View a shift
This operation allows you to fetch details about relevant shifts in your on-call schedule by using their ids Note: Only users with "View On-call schedules" or "Manage On-call schedules" privilege can access the API.
GET /api/v2/oncall/ws/{workspace_id}/schedules/{schedule_id}/shifts/{shift_id} - Read
View oncall calendar events for a user (documented variants)
This operations enables you to get information about all on-call events for a user has during a fixed duration Note: Only users with "View On-call schedules", "Manage On-call schedules" or "View Tickets" privilege can access the API. This operations enables you to get information about all on-call events in an on-call schedule during a fixed duration Note: Only users with "View On-call schedules", "Manage On-call schedules" or "View Tickets" privilege can access the API. This operation enables you to get information about all on-call events in an shift during a fixed duration Note: Only users with "View On-call schedules", "Manage On-call schedules" or "View Tickets" privilege can access the API. This operation enables you to get information about all on-call events in an shift for a user Note: Only users with "View On-call schedules", "Manage On-call schedules" or "View Tickets" privilege can access the API.
GET /api/v2/oncall/shift-events - Read
Export oncall calendar events for a user (documented variants)
This operation enables you to export all on-call events for a user as a webcal link. Note: Only users with "View On-call schedules", "Manage On-call schedules" or "View Tickets" privilege can access the API. This operation enables you to export all on-call events for a schedule as a webcal link. Note: Only users with "View On-call schedules", "Manage On-call schedules" or "View Tickets" privilege can access the API. This operation enables you to export all on-call events for a shift within a schedule as a webcal link. Note: Only users with "View On-call schedules", "Manage On-call schedules" or "View Tickets" privilege can access the API. This operation enables you to export all on-call events for a shift within a schedule for a specific user as a webcal link. Note: Only users with "View On-call schedules", "Manage On-call schedules" or "View Tickets" privilege can access the API. This operation enables you to export all on-call events for a schedule for a specific user as a webcal link. Note: Only users with "View On-call schedules", "Manage On-call schedules" or "View Tickets" privilege can access the API. This operation enables you to export all on-call calendar events for a user within the specified date range. Note: Only users with "View On-call schedules", "Manage On-call schedules" or "View Tickets" privilege can access the API. This operation enables you to export all on-call calendar events for a schedule within the specified date range. Note: Only users with "View On-call schedules", "Manage On-call schedules" or "View Tickets" privilege can access the API. This operation enables you to export all on-call calendar events for a shift within the specified date range. Note: Only users with "View On-call schedules", "Manage On-call schedules" or "View Tickets" privilege can access the API. This operation enables you to export all on-call calendar events for a shift within a schedule for a specific user within the specified date range. Note: Only users with "View On-call schedules", "Manage On-call schedules" or "View Tickets" privilege can access the API. This operation enables you to export all on-call calendar events for a schedule for a specific user within the specified date range. Note: Only users with "View On-call schedules", "Manage On-call schedules" or "View Tickets" privilege can access the API.
GET /api/v2/oncall/shift-events/export - Read
View who is oncall
This operation enables you to find out who’s on call right now for a given on-call schedule using its id Note: Only users with "View On-call schedules", "Manage On-call schedules" or "View Tickets" privilege can access the API.
GET /api/v2/oncall/shift-events/current - Read
View all escalation policies
This operation lets you get details about all the escalation policies in an on-call schedule Note: Only users with "View On-call schedules" or "Manage On-call schedules" privilege can access the API.
GET /api/v2/oncall/ws/{workspace_id}/schedules/{schedule_id}/escalation-policies - Read
View an escalation policy
This operation lets you get details about particular escalation policies in an on-call schedule by its id Note: Only users with "View On-call schedules" or "Manage On-call schedules" privilege can access the API.
GET /api/v2/oncall/ws/{workspace_id}/schedules/{schedule_id}/escalation-policies/{ep_id} - Read
View List of Custom Objects
This API lists all the Custom objects that are present in the account. Note: By default, only Custom objects from the primary workspace will be returned for accounts with workspaces. For Custom objects from other workspaces, use the workspace_id filter.
GET /api/v2/objects - Read
Show a Custom Object
This API gives you the details of a given Custom object like field names, options for dropdown fields etc.
GET /api/v2/objects/{id} - Read
List all records of a Custom Object
This API lists all the records present in a given Custom object. Note: The query request parameter can be specified to filter the records. The query parameter is a list of conditions connected by the AND operator. The rules for constructing the query parameter are as follows 1. A condition should be of the format [field-name] [condition-operator] [field-value]. 2. Conditions can be specified using the AND operator. 3. The field-value can be a string enclosed in single quotes, a number or null. 4. The supported condition operators are : (equal to), < (less than),> (greater than), : < (less than or equal to), :> (greater than or equal to). 5. The : (equal to) operator can be used with a comma separated list of values enclosed in square brackets to match any one of the list values. For example, [1, 2, 4]. 6. Dates should be specified in the UTC format (YYYY-MM-DDTHH:MM:SS.sssZ). For example, 2020-10-11T06:00:00.000Z, 2021-09-18T15:00:00Z etc. 7. The query request parameter must be URL encoded and should not be enclosed in any quotes before encoding (See example below). Example request with page_size and query parameters. query parameter before encoding category_dd1 : 'Hardware' AND category_dd3 : ['PC', 'Mac'] AND bo_created_at : < '2021-09-18T15:00:00Z'
GET /api/v2/objects/{id}/records - Read
Get post-incident report templates by ID
Retrieve a specific PIR template using its ID (PIR-ID)
GET /api/v2/post-incident-reports/templates/{id} - Read
Get all post-incident report templates
Retrieve all PIR templates in a workspace.
GET /api/v2/post-incident-reports/templates - Read
View List of SLAs
This API helps to view all time entries of a particular ticket.
GET /api/v2/sla_policies - Read
View List of Canned Response Folders
This API lists all the canned response folders that are present in the account. Note: By default, only canned response folders from the primary workspace will be returned for accounts with workspaces. For canned response folders from other workspaces, use the workspace_id filter.
GET /api/v2/canned_response_folders - Read
Show a Canned Response Folder
This API show a specific Canned Response
GET /api/v2/canned_response_folders/{folder_id} - Read
List all Canned Responses In a Folder
This API lists all the Canned Response Folders that are present in the folder.
GET /api/v2/canned_response_folders/{folder_id}/canned_responses - Read
View List of Canned Responses
This API lists all the canned responses that are present in the folder. Note: By default, only canned responses from the primary workspace will be returned for accounts with workspaces. For canned responses from other workspaces, use the workspace_id filter.
GET /api/v2/canned_responses - Read
Show a Canned Response
This API show a specific Canned Response
GET /api/v2/canned_responses/{id} - Read
Download Attachment
This API helps you to download attachments of Ticket, Problem, Change, Release, Solution Article and Asset .
GET /api/v2/attachments/{id} - Read
Download Purchase order and Contracts Attachment
This API helps you to download attachments of Purchase order and Contract .
GET /api/v2/itil_attachments/{id} - Read
Retrieve specific emails using ID (documented variants)
Retrieve emails associated to a major incident by ticket ID Note: This API is triggered only for tickettype = Major Incident. Retrieve past or ongoing Zoom meetings for a ticket with the ID.
GET /api/v2/tickets/{ticket_id}/communications/{communication_id} - Read
Retrieve emails related to a ticket (documented variants)
Retrieve emails associated to a major incident by ticket ID Note: This API is triggered only for tickettype = Major Incident. Retrieve past or ongoing Zoom meetings for a ticket.
GET /api/v2/tickets/{ticket_id}/communications - Read
List all incidents
This operation allows the user to view the list of incidents. Note: The users with "Manage Tickets" privilege can also access this API.
GET /api/v2/status/pages/{status_page_id}/incidents - Read
View an incident
This operation allows the user to view an incident. Note: The users with "Manage Tickets" privilege can also access this API.
GET /api/v2/tickets/{ticket_id}/status/pages/{status_page_id}/incidents/{id} - Read
List all updates for an incident
This operation allows the user to view the list of incident updates. Note: The users with "Manage Tickets" privilege can also access this API.
GET /api/v2/tickets/{ticket_id}/status/pages/{status_page_id}/incidents/{incident_id}/updates - Read
List all incident statuses
This operation allows the user to view the list of incident statuses.
GET /api/v2/status/pages/{status_page_id}/incidents/statuses - Read
List all maintenances
This operation allows the user to view the list of maintenances. Note: The users with "Manage Status page maintenances" privilege can also access this API.
GET /api/v2/status/pages/{status_page_id}/maintenances - Read
View a maintenance from a change
This operation allows the user to view the maintenance associated to the change. Note: The users with "View Changes" privilege can also access this API.
GET /api/v2/changes/{change_id}/status/pages/{status_page_id}/maintenances/{id} - Read
View a maintenance from a maintenance window
This operation allows the user to view the maintenance associated to the change. Note: The users with "Mange Change Life cycle" privilege can also access this API.
GET /api/v2/maintenance-windows/{maintenance_window_id}/status/pages/{status_page_id}/maintenances/{id} - Read
List all maintenance statuses
This operation allows the user to view the list of maintenance statuses.
GET /api/v2/status/pages/{status_page_id}/maintenances/statuses - Read
List all maintenance updates from a change
This operation allows the user to view the list of updates posted to a maintenance via a change. Note: The users with "View Changes" privilege can also access this API.
GET /api/v2/changes/{change_id}/status/pages/{status_page_id}/maintenances/{id}/updates - Read
List all maintenance updates from a maintenance window
This operation allows the user to view the list of updates posted to a maintenance via a maintenance window. Note: The users with "Mange Change Life cycle" privilege can also access this API.
GET /api/v2/maintenance-windows/{maintenance_window_id}/status/pages/{status_page_id}/maintenances/{id}/updates - Read
List all status pages
This operation allows the user to view all the status pages. Note: If a workspace_id is not specified as a URL parameter, the API will return list of status pages from all workspaces.
GET /api/v2/status/pages - Read
Identify publishable services from a ticket
Use this API to identify publishable services from a ticket.
GET /api/v2/tickets/{ticket_id}/status/pages/{status_page_id}/publishable-services - Read
Identify publishable services from a change
Use this API to identify publishable services from a change.
GET /api/v2/changes/{change_id}/status/pages/{status_page_id}/publishable-services - Read
Identify publishable services from a maintenance window
Use this API to identify publishable services from a maintenances window.
GET /api/v2/maintenance-windows/{maintenance_window_id}/status/pages/{status_page_id}/publishable-services - Read
View a service component
This operation allows the user to view a service component.
GET /api/v2/status/pages/{status_page_id}/service-components/{id} - Read
List all service components
This operation allows the user to view list of service components.
GET /api/v2/status/pages/{status_page_id}/service-components - Read
List all subscribers
Use this API to view all subscribers associated with a specific status page.
GET /api/v2/status/pages/{status_page_id}/subscribers - Read
View a subscriber
Use this API to view details of a subscriber associated with a specific status page.
GET /api/v2/status/pages/{status_page_id}/subscribers/{subscriber_id} - Read
View a delegation
Use this API to view the current delegation details associated with a user.
GET /api/v2/users/{user_id}/delegation - Read
View list of physical subtypes
This API helps you retrieve all device physical subtypes. Note: Freshservice IT Asset Management is available only for new signups after the March 31, 2026 release. Query parameters
GET /api/v2/itam/physical-subtypes - Read
View a physical subtype
This API helps you retrieve a physical subtype record by its unique identifier. Note: Freshservice IT Asset Management is available only for new signups after the March 31, 2026 release. Path parameters
GET /api/v2/itam/physical-subtypes/{id} - Read
View list of all devices
This API helps you retrieve information about all devices. Note : Freshservice IT Asset Management is available only for new signups after the March 31, 2026 release. Query parameters
GET /api/v2/itam/devices - Read
View a device
This API helps you retrieve a device record by its unique identifier. Note : Freshservice IT Asset Management is available only for new signups after the March 31, 2026 release. Path parameters
GET /api/v2/itam/devices/{id} - Read
View list of all cloud resources
This API helps you retrieve a list of cloud resources for AWS discovery. Note: Freshservice IT Asset Management is available only for new signups after the March 31, 2026 release. Query parameters
GET /api/v2/itam/resources - Read
View a cloud resource
This API helps you retrieve details of a particular cloud resources for AWS discovery. Note: Freshservice IT Asset Management is available only for new signups after the March 31, 2026 release. Path parameters
GET /api/v2/itam/resources/{id} - Read
View list of all cloud resource relationships
This API helps you retrieve a list of cloud resource relationships for AWS. Note: Freshservice IT Asset Management is available only for new signups after the March 31, 2026 release. Query parameters
GET /api/v2/itam/resource_relationships - Read
View cloud details
This API helps you retrieve a list of cloud resources for AWS discovery. Note: Freshservice IT Asset Management is available only for new signups after the March 31, 2026 release. Query parameters
GET /api/v2/itam/cloud_infrastructures - Read
View list of all lifecycle events
This API helps you retrieve a list of existing lifecycle events. Note: Freshservice IT Asset Management is available only for new signups after the March 31, 2026 release. Query parameters
GET /api/v2/itam/lifecycle_events - Read
View a lifecycle event
This API helps you retrieve a lifecycle event record by its unique identifier. Note: Freshservice IT Asset Management is available only for new signups after the March 31, 2026 release. Path parameters
GET /api/v2/itam/lifecycle_events/{id} - Write
Create a Ticket
This API helps you to create a new ticket in your service desk. Every ticket uses certain fixed numerical values to denote its Status and Priorities. These numerical values along with their meanings are given below. Note: 1. When sending a request with an attachment, set the request body type to form-data. The Content-Type: multipart/form-data will be automatically set in the header once the body is configured as form-data. All parameters, including non-file fields, must also be specified as form-data within the same request body. 2. For more information on attachment refer to this section .
POST /api/v2/tickets - Write
Move a Ticket
Freshservice for MSPs - This API allows you to move a ticket between clients. It performs the following actions: Note: This endpoint is applicable to accounts with workspaces and Freshservice for MSPs.
PUT /api/v2/tickets/{id}/move_workspace - Write
Restore a Ticket
The API mentioned previously. If you deleted some tickets and regret doing so now, this API will help you restore them.
PUT /api/v2/tickets/{id}/restore - Write
Create a Child Ticket
This API lets you to create a new child ticket on an existing ticket Note: 1. Association of child tickets is not available in the Sprout plan. 2. Association of child tickets to a deleted or a spammed ticket is not allowed. 3. Nesting of a child ticket under another child ticket is not supported. Every ticket uses certain fixed numerical values to denote its Status and Priorities. These numerical values along with their meanings are given below.
POST /api/v2/tickets/{parent_id}/create_child_ticket - Write
Create a Time Entry
This API helps to create a Time Entry. Note: 1. If timer_running is not specified in the request, it is considered as false and time_spent is mandatory in this scenario. 2. time_spent can be set only if timer_running is false or not set. 1. Create a time-entry along with time spent value. Timer will not be started
POST /api/v2/tickets/{ticket_id}/time_entries - Write
Update a Time Entry
This API can be used to update/modify existing time entry. Note: 1. For a running timer, time_spent cannot be updated without stopping it.
PUT /api/v2/tickets/{ticket_id}/time_entries/{id} - Write
Create a Source
This API helps you create a new Ticket Source.
POST /api/v2/ticket_fields/sources - Write
Create a Service Request (documented variants)
This API helps you create a service request Note 1: The service requested will be created with the requester specified in “email” attribute. If no email is provided, the request is created on behalf of the agent Note 2: Fields in the API behave like the agent portal's new service request page. If a field is not visible in self service portal, you can still provide a value for that field using the api. If a field is marked mandatory but not visible in portal in service item, you must provide a value for it in the api. This API helps you to create a new child ticket on an existing ticket Note 1: Association of child Service Request to a deleted or a spammed ticket is not allowed. Note 2: Nesting of a child Service Request under another child Service Request is not supported.
POST /api/v2/service_catalog/items/{display_id}/place_request - Write
Add Catalog Item to Existing Service Request
This API helps you add a new catalog item to an existing service request. Request Attributes Response Attributes
POST /api/v2/tickets/{ticket_id}/requested_items - Write
Request Approval for a Service Request
Send a Service Request for approval Note: 1. "email_content" is an optional parameter for sending approval. If not provided, the default approval notification will be sent to approvers. 2. This endpoint is planned for deprecation. For accounts with Parallel Approvals enabled, please transition to using the Create Approval Groups endpoint. Accounts without Parallel Approvals may continue using this endpoint until the feature is activated.
POST /api/v2/tickets/{ticket_id}/approvals - Write
Send Reminder for an Approval
Resends a reminder for a specific Approval raised for the ticket
PUT /api/v2/tickets/{ticket_id}/approvals/{id}/remind - Write
Cancel an approval
Cancel an existing approval on a Service Request Note: You can only update the approval status of a request to "cancelled" state through this API. Any other status change will be done based on the approver's action.
PUT /api/v2/tickets/{ticket_id}/approvals/{id} - Write
Create Approval Groups for a Service Request
Create an Approval Group for a Service Request Note: "email_content" is an optional parameter for sending approval. If not provided, the default approval notification will be sent to approvers.
POST /api/v2/tickets/{ticket_id}/approval-groups - Write
Update approval chain rule for a service request
Update chain rule for the approval groups in the service request.
PUT /api/v2/tickets/{ticket_id}/approval-chain-rule - Write
Promote an incident to a major incident
Promote an existing incident into a major incident.
PUT /api/v2/tickets/{ticket_id}/promote - Write
Demote an incident from a major incident
Demote a major incident back to a normal incident.
PUT /api/v2/tickets/{ticket_id}/demote - Write
Create a Task
Create a new task on a ticket request in freshservice
POST /api/v2/tickets/{id}/tasks - Write
Update a Task
Update an existing task on an existing Ticket in Freshservice
PUT /api/v2/tickets/{id}/tasks/{id} - Write
Create a Reply
Note: 1. When sending a request with an attachment, set the request body type to form-data. The Content-Type: multipart/form-data will be automatically set in the header once the body is configured as form-data. All parameters, including non-file fields, must also be specified as form-data within the same request body. 2. For more information on attachment refer to this section .
POST /api/v2/tickets/{id}/reply - Write
Create a Note
Note: By default, any note that you add will be private. If you wish to add a public note, set the parameter to false. Note: 1. When sending a request with an attachment, set the request body type to form-data. The Content-Type: multipart/form-data will be automatically set in the header once the body is configured as form-data. All parameters, including non-file fields, must also be specified as form-data within the same request body.
POST /api/v2/tickets/{ticket_id}/notes - Write
Update a Conversation
Note: Only public & private notes can be edited. Note: 1. When sending a request with an attachment, set the request body type to form-data. The Content-Type: multipart/form-data will be automatically set in the header once the body is configured as form-data. All parameters, including non-file fields, must also be specified as form-data within the same request body. 2. For more information on attachment refer to this section .
PUT /api/v2/conversations/{id} - Write
Create a Problem
Create a new problem request in Freshservice Note: 1. When sending a request with an attachment, set the request body type to form-data. The Content-Type: multipart/form-data will be automatically set in the header once the body is configured as form-data. All parameters, including non-file fields, must also be specified as form-data within the same request body. 2. For more information on attachment refer to this section . Note: "assets" key: contains comma (,) separated hash of the assets, each with key display id.
POST /api/v2/problems - Write
Update a Problem
Update an existing Problem in Freshservice Note: The workspace_id attribute cannot be updated through the Update operation. It can only be updated through the Move operation. Note: 1. When sending a request with an attachment, set the request body type to form-data. The Content-Type: multipart/form-data will be automatically set in the header once the body is configured as form-data. All parameters, including non-file fields, must also be specified as form-data within the same request body. 2. For more information on attachment refer to this section .
PUT /api/v2/problems/{id} - Write
Move a Problem
This API moves a problem to a different workspace, while also allowing the assigned group and agent to be modified. Note: This endpoint is applicable only to accounts with workspaces.
PUT /api/v2/problems/{id}/move_workspace - Write
Restore a Problem
The API mentioned previously. If you deleted some problems and regret doing so now, this API will help you restore them.
PUT /api/v2/problems/{id}/restore - Write
Create a note
Create a new note on a problem request in freshservice.
POST /api/v2/problems/{id}/notes - Write
Update a note
Update an existing note on an existing Problem request in Freshservice.
PUT /api/v2/problems/{id}/notes/{id} - Write
Create a Time Entry
Create a new time entry on a problem request in freshservice.
POST /api/v2/problems/{id}/time_entries - Write
Update a Time Entry
Update an existing time entry on an existing Problem request in Freshservice.
PUT /api/v2/problems/{id}/time_entries/{id} - Write
Create a Task
Create a new task on a problem in freshservice
POST /api/v2/problems/{id}/tasks - Write
Update a Task
Update an existing task on an existing Problem in Freshservice
PUT /api/v2/problems/{id}/tasks/{id} - Write
Create a Change
Create a new Change request in Freshservice Note: You can associate a maintenance window with a change using the Create a Change API by providing the maintenance window ID. However, other maintenance window properties such as start date, end date, and description are not supported through the API. To associate a maintenance window with all its properties, use the web interface. Note: 1. When sending a request with an attachment, set the request body type to form-data. The Content-Type: multipart/form-data will be automatically set in the header once the body is configured as form-data. All parameters, including non-file fields, must also be specified as form-data within the same request body. 2. For more information on attachment refer to this section .
POST /api/v2/changes - Write
Update a Change
Update an existing Change request in Freshservice Note: The workspace_id attribute cannot be updated through the Update operation. It can only be updated through the Move operation. Note: You can associate a maintenance window with a change using the Update a Change API by providing the maintenance window ID. However, other maintenance window properties such as start date, end date, and description are not supported through the API. To associate a maintenance window with all its properties, use the web interface.
PUT /api/v2/changes/{id} - Write
Move a Change
This API moves a change to a different workspace, while also allowing the assigned group and agent to be modified. Note: This endpoint is applicable only to accounts with workspaces.
PUT /api/v2/changes/{id}/move_workspace - Write
Send Reminder for a Change Approval
Resends a reminder for a specific Approval raised for the Change
PUT /api/v2/changes/{change_id}/approvals/{approval_id}/remind - Write
Cancel a Change Approval
Cancel the Approval for a Change Note: This API supports the changing of an approval status to "cancelled" state only. All other status change can be executed only via approver's action in the product.
PUT /api/v2/changes/{change_id}/approvals/{id} - Write
Create an Approval Group for Changes
Create an Approval Group for a Change Note: "email_content" is an optional parameter for sending approval. If not provided, the default approval notification will be sent to approvers.
POST /api/v2/changes/{change_id}/approval-groups - Write
Update approval chain rule for a change
Update the approval chain rule for a change
PUT /api/v2/changes/{change_id}/approval-chain-rule - Write
Create a Note
Create a new note on a change request in freshservice.
POST /api/v2/changes/{id}/notes - Write
Update a Note
Update an existing note on an existing Change request in Freshservice.
PUT /api/v2/changes/{id}/notes/{id} - Write
Create a Time Entry
Create a new time entry on a change request in freshservice.
POST /api/v2/changes/{id}/time_entries - Write
Update a Time Entry
Update an existing time entry on an existing Change request in Freshservice.
PUT /api/v2/changes/{id}/time_entries/{id} - Write
Create a Task
Create a new task on a change request in freshservice.
POST /api/v2/changes/{id}/tasks - Write
Update a Task
Update an existing task on an existing Change request in Freshservice
PUT /api/v2/changes/{id}/tasks/{id} - Write
Create a Release
Create a new Release request in Freshservice Note: 1. When sending a request with an attachment, set the request body type to form-data. The Content-Type: multipart/form-data will be automatically set in the header once the body is configured as form-data. All parameters, including non-file fields, must also be specified as form-data within the same request body. 2. For more information on attachment refer to this section . Note: "assets" key: contains comma (,) separated hash of the assets, each with key display id.
POST /api/v2/releases - Write
Update a Release
Update an existing Release in Freshservice Note: The workspace_id attribute cannot be updated through the Update operation. It can only be updated through the Move operation. Note: 1. When sending a request with an attachment, set the request body type to form-data. The Content-Type: multipart/form-data will be automatically set in the header once the body is configured as form-data. All parameters, including non-file fields, must also be specified as form-data within the same request body. 2. For more information on attachment refer to this section .
PUT /api/v2/releases/{id} - Write
Move a Release
This API moves a release to a different workspace, while also allowing the assigned group and agent to be modified. Note: This endpoint is applicable only to accounts with workspaces.
PUT /api/v2/releases/{id}/move_workspace - Write
Restore a Release
The API mentioned previously. If you deleted some releases and regret doing so now, this API will help you restore them.
PUT /api/v2/releases/{id}/restore - Write
Create a note
Create a new note on a release request in freshservice.
POST /api/v2/releases/{id}/notes - Write
Update a note
Update an existing note on an existing Release request in Freshservice.
PUT /api/v2/releases/{id}/notes/{id} - Write
Create a Time Entry
Create a new time entry on a release request in freshservice.
POST /api/v2/releases/{id}/time_entries - Write
Update a Time Entry
Update an existing time entry on an existing Release request in Freshservice.
PUT /api/v2/releases/{id}/time_entries/{id} - Write
Create a Task
Create a new task on a release in freshservice
POST /api/v2/releases/{id}/tasks - Write
Update a Task
Update an existing task on an existing Release in Freshservice
PUT /api/v2/releases/{id}/tasks/{id} - Write
Create a CAB
Note: A maximum of 100 user IDs can be be passed to add_members at a time. 1. Create a CAB with members 2. Create a CAB with no members
POST /api/v2/cabs - Write
Create Client
You cannot create a client with workspace_id = 1 (Global), 2 (Default Client) and 3 (MSP Client) as these are system generated.
POST /api/v2/workspace - Write
Update a Client
You cannot update clients with workspace_id = 1 (Global), 2 (Default Client). You can only update the following parameters.
PUT /api/v2/workspaces/{id} - Write
Create a Requester/Contact
This operation allows you to create a new requester. Note: For MSP, you cannot create a Contact if the Client status is Deactivated .
POST /api/v2/requesters - Write
Update a Requester/Contact
This operation allows you to modify the profile of a particular requester. Note: can_see_all_tickets_from_associated_departments will automatically be set to false unless it is explicitly set to true in the payload, irrespective of the previous value of the field.
PUT /api/v2/requesters/{id} - Write
Convert To Agent
Convert a requester to an occasional agent with SD Agent role and no group memberships.
PUT /api/v2/requesters/{id}/convert_to_agent - Write
Reactivate a Requester/Contact
This operation allows you to reactivate a particular deactivated requester. Note: In Freshservice for MSPs, you cannot reactivate a contact if the client ID to which it belongs (denoted by "belongs_to_workspace_ids" parameter) is in an inactive state.
PUT /api/v2/requesters/{id}/reactivate - Write
Create an Agent
This operation allows you to create a new agent.
POST /api/v2/agents - Write
Update an Agent
This operation allows you to modify the profile of a particular agent. Note: can_see_all_tickets_from_associated_departments will automatically be set to false unless it is explicitly set to true in the payload, irrespective of the previous value of the field. Update an agent to add them as a member to a Restricted Group with approvals required
PUT /api/v2/agents/{id} - Write
Reactivate an Agent
This operation allows you to reactivate a particular deactivated agent.
PUT /api/v2/agents/{id}/reactivate - Write
Convert To Requester
This operation allows you to convert a particular agent into a requester.
PUT /api/v2/agents/{id}/convert_to_requester - Write
Create a Group
Note: 1. When creating groups with approval required only the leaders will be added to the groups immediately while the members and observers would get added after their membership approval is approved. 1. Create a Restricted Group and mark a particular agent as its leader 2. Create a Restricted Group with approvals required
POST /api/v2/groups - Write
Create a Requester Group/Contact Group
Note: Only groups of type “manual” can be created through this API.
POST /api/v2/requester_groups - Write
Update a Requester Group/Contact Group
Note: Only groups of type “manual” can be updated through this API.
PUT /api/v2/requester_groups/{id} - Write
Add Requester to Requester/Contact Group
Note: 1.Requesters/contacts can be added only to manual requester groups. 2.Requester/contacts can be added one at a time. 3.For groups with workspace_id > 1, only contacts associated with that workspace_id can be added. 4.For groups with workspace_id = 1, any contacts associated with any workspace_id can be added.
POST /api/v2/requester_groups/{id}/members/{requester_id} - Write
Create a Location
This operation allows you to create a new location in Freshservice/Freshservice for Business Teams. Note: You cannot create Location for workspace_id=1 (Global).
POST /api/v2/locations - Write
Update a Location
This operation allows you to update an existing location.
PUT /api/v2/locations/{id} - Write
Create a Product
This operation allows you to create a new product in Freshservice. For the following attributes, the supported values are listed below.
POST /api/v2/products - Write
Update a Product
This operation allows you to update an existing product. For the following attributes, the supported values are listed below.
PUT /api/v2/products/{id} - Write
Create a Vendor
This operation allows you to create a vendor.
POST /api/v2/vendors - Write
Update a Vendor
This operation allows you to update a vendor.
PUT /api/v2/vendors/{id} - Write
Acknowledge an alert
This operation allows the user to acknowledge the alert. Note: Only users with "Manage Alerts" privilege can access this API.
PUT /api/v2/ams/alerts/{id}/acknowledge - Write
Resolve an alert
This operation allows the user to resolve the alert. Note: Only users with "Manage Alerts" privilege can access this API.
PUT /api/v2/ams/alerts/{id}/resolve - Write
Suppress an alert
This operation allows the user to suppress the alert. Note: Only users with "Manage Alerts" privilege can access this API.
PUT /api/v2/ams/alerts/{id}/suppress - Write
Unsuppress an alert
This operation allows the user to unsuppress the alert. Note: Only users with "Manage Alerts" privilege can access this API.
PUT /api/v2/ams/alerts/{id}/unsuppress - Write
Create an Alert Note
This operation allows the user to create an alert note. Note: Only users with "Manage Alerts" privilege can access this API.
POST /api/v2/ams/alerts/{id}/notes - Write
Update an alert note
This operation allows the user to update an alert note. Note: Only users with "Manage Alerts" privilege can access this API.
PUT /api/v2/ams/alerts/{id}/notes/{note_id} - Write
Create an Asset
This operation allows you to create a new asset in Freshservice. Note: This API request is valid for Freshservice signups before March 31, 2026. For new signups after the March 31, 2026 release, refer to the Create an asset for Freshservice ITAM request. For the following attributes, the supported values are listed below.
POST /api/v2/assets - Write
Update an Asset
This operation allows you to update an existing asset. Note: This API request is valid for Freshservice signups before March 31, 2026. For new signups after the March 31, 2026 release, refer to the Update an asset for Freshservice ITAM request. Note: The workspace_id attribute cannot be updated through the Update operation. It can only be updated through the Move operation.
PUT /api/v2/assets/{display_id} - Write
Restore an Asset
This operation allows you to restore a deleted asset.
PUT /api/v2/assets/{display_id}/restore - Write
Move an Asset
This API moves an asset to a different workspace, while also allowing the assigned group and agent to be modified. Note: This endpoint is applicable only to accounts with workspaces.
PUT /api/v2/assets/{display_id}/move_workspace - Write
Create a Component
This operation allows you to create a component for an asset. The following are the mandatory fields to be provided in component_data for the corresponding components.
POST /api/v2/assets/{display_id}/components - Write
Update a Component
This operation allows you to update an existing component for an asset.
PUT /api/v2/assets/{display_id}/components/{component_id} - Write
Create Relationships in bulk
This operation allows you to create new relationships in bulk. Note: 1. This is an asynchronous operation and is performed using background jobs. The response of the api contains the job id, which can be used to query the status of the job. 2. The job status URL provided in the response is valid for one hour. 3. After the first 5 relationships, every additional 5 relationships created using this api consumes one API credit. For the following attributes, the supported values are listed below.
POST /api/v2/relationships/bulk-create - Write
Create an asset
This API helps you create an asset. Note: Freshservice IT Asset Management is available only for new signups after the March 31, 2026 release. Request attributes
POST /api/v2/itam/assets/ - Write
Update an asset
This API helps you update an existing asset by using either the identifier or asset name. Note : Freshservice IT Asset Management is available only for new signups after the March 31, 2026 release. Request attributes
PUT /api/v2/itam/assets/ - Write
Update an asset by ID
This API helps you update an existing asset by using the identifier of the asset. Note : Freshservice IT Asset Management is available only for new signups after the March 31, 2026 release. Path parameters
PUT /api/v2/itam/assets/{id}/ - Write
Create or update custom field
This API helps you create or update custom fields data for assets. Note: Freshservice IT Asset Management is available only for new signups after the March 31, 2026 release. Request attributes
PUT /api/v2/itam/custom_fields/assets/ - Write
Create a new Purchase Order
This operation allows you to Create a new Purchase Order in Freshservice.
POST /api/v2/purchase_orders - Write
Move a Purchase Order
This API moves a purchase order to a different workspace. Note: This endpoint is applicable only to accounts with workspaces.
PUT /api/v2/purchase_orders/{purchase_order_id}/move_workspace - Write
Update a Purchase Order
This operation allows you to update an existing purchase order. Note: The workspace_id attribute cannot be updated through the Update operation. It can only be updated through the Move operation. For the following attributes, the supported values are listed below.
PUT /api/v2/purchase_orders/{purchase_order_id} - Write
Create an Asset Type
This operation allows you to create an asset type in Freshservice.
POST /api/v2/asset_types - Write
Update an Asset Type
This operation allows you to update an existing asset type.
PUT /api/v2/asset_types/{id} - Write
Create a Software
This operation allows you to create a new software in Freshservice. For the following attributes, the supported values are listed below.
POST /api/v2/applications - Write
Update a Software
This operation allows you to update an existing software. Note: The workspace_id attribute cannot be updated through the Update operation. It can only be updated through the Move operation. For the following attributes, the supported values are listed below.
PUT /api/v2/applications/{id} - Write
Add Users to a Software in bulk
This operation allows you to add Users to a Software in bulk.
POST /api/v2/applications/{id}/users - Write
Move a Software
This API moves a software to a different workspace. Note: This endpoint is applicable only to accounts with workspaces.
PUT /api/v2/applications/{id}/move_workspace - Write
Update Users of a Software in bulk
This operation allows you to update Users of a Software in bulk.
PUT /api/v2/applications/{id}/users - Write
Add a device to a Software
This operation allows you to add a new device to a Software.
POST /api/v2/applications/{id}/installations - Write
Move a Contract
This API moves a contract to a different workspace, while also allowing the visibility group to be modified. Note: This endpoint is applicable only to accounts with workspaces.
PUT /api/v2/contracts/{contract_id}/move_workspace - Write
Create a Contract (documented variants)
This operation allows you to create a new contract in Freshservice. Additional attributes specific to the software contracts For the following attributes, the supported values are listed below. This API lets you create a new Contract with associated Assets (CIs) in your service desk. Note: 1. When sending a request with an attachment, set the request body type to form-data . The Content-Type: multipart/form-data will be automatically set in the header once the body is configured as form-data. All parameters, including non-file fields, must also be specified as form-data within the same request body. 2. For more information on attachment refer to this section .
POST /api/v2/contracts - Write
Update a Contract (documented variants)
Note: The workspace_id attribute cannot be updated through the Update operation. It can only be updated through the Move operation. This operation allows you to submit a contract for approval in the account. This operation allows you to approve a contract in the account. This operation allows you to reject a contract in the account.
PUT /api/v2/contracts/{contract_id} - Write
Create a Department
Note: You cannot create departments for workspace_id=1 (Global). Create a new Department (or Company in MSP Mode) in Freshservice/Freshservice for Business Teams.
POST /api/v2/departments - Write
Update a Department
Update an existing Department (or Company in MSP Mode) in Freshservice/Freshservice for Business Teams. You can update the following parameters.
PUT /api/v2/departments/{id} - Write
Create a Project
Create a Project. The official reference identifies POST /api/v2/projects; parameter, response and scope details remain in the linked endpoint section.
POST /api/v2/projects - Write
Update a Project
Update a Project. The official reference identifies PUT /api/v2/projects/{id}; parameter, response and scope details remain in the linked endpoint section.
PUT /api/v2/projects/{id} - Write
Restore a Project
You can restore an archived project using this API.
POST /api/v2/projects/{id}/restore - Write
Create a Project Task
Create a Project Task. The official reference identifies POST /api/v2/projects/{id}/tasks; parameter, response and scope details remain in the linked endpoint section.
POST /api/v2/projects/{id}/tasks - Write
Update a Project Task
Update a Project Task. The official reference identifies PUT /api/v2/projects/{project_id}/task/{id}; parameter, response and scope details remain in the linked endpoint section.
PUT /api/v2/projects/{project_id}/task/{id} - Write
Create a Project
This API helps you create a new project in your service desk Note: 1. When sending a request with an attachment, set the request body type to form-data . The Content-Type: multipart/form-data will be automatically set in the header once the body is configured as form-data. All parameters, including non-file fields, must also be specified as form-data within the same request body.
POST /api/v2/pm/projects - Write
Update a Project
This API lets you update the properties of a project. Note: 1. When sending a request with an attachment, set the request body type to form-data . The Content-Type: multipart/form-data will be automatically set in the header once the body is configured as form-data. All parameters, including non-file fields, must also be specified as form-data within the same request body.
PUT /api/v2/pm/projects/{id} - Write
Restore a Project
You can restore an archived project using this API.
POST /api/v2/pm/projects/{id}/restore - Write
Add Members
This API allows you to add one or more members to a project. Note: This is an asynchronous operation and is performed using background jobs. The response of the api contains the job id, which can be used to query the status of the job. Background Jobs api can be used to query the status of the background job. What various "status" values indicate is represented in the below table
POST /api/v2/pm/projects/{id}/members - Write
Create Associations
This API allows you to associate a Project with specific Tickets, Problems, Changes or Assets.
POST /api/v2/pm/projects/{project_id}/{module_name} - Write
Create a Project Task
This API lets you create a project task. Note: 1. When sending a request with an attachment, set the request body type to form-data . The Content-Type: multipart/form-data will be automatically set in the header once the body is configured as form-data. All parameters, including non-file fields, must also be specified as form-data within the same request body.
POST /api/v2/pm/projects/{id}/tasks - Write
Update a Project Task
This API lets you update a project task Note: 1. When sending a request with an attachment, set the request body type to form-data . The Content-Type: multipart/form-data will be automatically set in the header once the body is configured as form-data. All parameters, including non-file fields, must also be specified as form-data within the same request body.
PUT /api/v2/pm/projects/{project_id}/tasks/{id} - Write
Create Associations
This API allows you to associate a task with specific Tickets, Problems, Changes or Assets.
POST /api/v2/pm/projects/{project_id}/tasks/{task_id}/{module_name} - Write
Create Note
This API allows you to add a note to a task. Note: 1. When sending a request with an attachment, set the request body type to form-data . The Content-Type: multipart/form-data will be automatically set in the header once the body is configured as form-data. All parameters, including non-file fields, must also be specified as form-data within the same request body.
POST /api/v2/pm/projects/{project_id}/tasks/{id}/notes - Write
Update Note
This API allows you to update a note. Note: 1. When sending a request with an attachment, set the request body type to form-data . The Content-Type: multipart/form-data will be automatically set in the header once the body is configured as form-data. All parameters, including non-file fields, must also be specified as form-data within the same request body.
PUT /api/v2/pm/projects/{project_id}/tasks/{task_id}/notes/{id} - Write
Create Solution Category
Use this API to create a new category of solutions. Note: The attribute 'workspace_id' is applicable only for accounts with workspaces. The default value is the ID of the primary workspace of the account.
POST /api/v2/solutions/categories - Write
Update Solution Category
Use this API to update solution categories. For a list of all attributes that can be updated, look here
PUT /api/v2/solutions/categories/{id} - Write
Restore Solution Category
Restore a category from Trash. The associated folders and articles will also be restored.
PUT /api/v2/solutions/categories/{category_id}/restore - Write
Create Solution Folder (documented variants)
Use this API to create a new folder in your solutions. Use this API to create a new folder with approval settings in your solutions.
POST /api/v2/solutions/folders - Write
Update Solution Folder
Note: The following parameters can be only updated for Freshservice for MSPs. To update details of your solution folder, use this API. You can change the name, description and with this API.
[...]
